USE [WaspTrackInventory]
GO



print '----------------------------'
print '--                          '
print '--  DROP CONSTRAINT SECTION '
print '--                          '
print '----------------------------'


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_date_received') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_date_received]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_quantity_received') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_quantity_received]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_cost') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_cost]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_other_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_other_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_entry_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_entry_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_customer_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_customer_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_supplier_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_supplier_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_po_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_po_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_audit_transactions_invoice_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [DF_audit_transactions_invoice_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_auto_numbers_netxt_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[auto_numbers] DROP CONSTRAINT [DF_auto_numbers_netxt_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_form_field_meta_user_editable') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT [DF_form_field_meta_user_editable]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_form_field_meta_should_find_1') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT [DF_form_field_meta_should_find_1]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_form_field_meta_should_export_1') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT [DF_form_field_meta_should_export_1]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_form_field_meta_should_import_1') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT [DF_form_field_meta_should_import_1]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_history_transactions_po_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[history_transactions] DROP CONSTRAINT [DF_history_transactions_po_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_history_transactions_invoice_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[history_transactions] DROP CONSTRAINT [DF_history_transactions_invoice_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_history_transactions_print_label_no') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[history_transactions] DROP CONSTRAINT [DF_history_transactions_print_label_no]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_max_stock_level') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [DF_inventory_max_stock_level]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_min_stock_level') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [DF_inventory_min_stock_level]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_reorder_qty') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [DF_inventory_reorder_qty]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_primary_location') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [DF_inventory_primary_location]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_lsform_only') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [DF_inventory_lsform_only]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'IX_inventory') AND (OBJECTPROPERTY(id, N'IsConstraint') = 1))
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [IX_inventory]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_request_is_canceled') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_request] DROP CONSTRAINT [DF_inventory_request_is_canceled]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_request_print_no') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_request] DROP CONSTRAINT [DF_inventory_request_print_no]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_request_detail_is_selected') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_request_detail] DROP CONSTRAINT [DF_inventory_request_detail_is_selected]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_request_manual_line_cost') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_request_manual_line] DROP CONSTRAINT [DF_inventory_request_manual_line_cost]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_request_manual_line_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_request_manual_line] DROP CONSTRAINT [DF_inventory_request_manual_line_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_trans_action') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_trans_action]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_entry_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_entry_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_current_qty') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_current_qty]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_other_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_other_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_customer_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_customer_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_supplier_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_supplier_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_po_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_po_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_invoice_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_invoice_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_print_label_no') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_print_label_no]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_inventory_transactions_is_receive_or_ship') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [DF_inventory_transactions_is_receive_or_ship]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_line_items_picked_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_line_items] DROP CONSTRAINT [DF_invoice_line_items_picked_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_line_items_amount') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_line_items] DROP CONSTRAINT [DF_invoice_line_items_amount]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_line_items_archive_picked_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_line_items_archive] DROP CONSTRAINT [DF_invoice_line_items_archive_picked_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_line_items_archive_amount') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_line_items_archive] DROP CONSTRAINT [DF_invoice_line_items_archive_amount]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_invoice_status') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [DF_invoice_master_invoice_status]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_line_item_count') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [DF_invoice_master_line_item_count]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_parent_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [DF_invoice_master_parent_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_backorder_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [DF_invoice_master_backorder_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_record_status_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [DF_invoice_master_record_status_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_archive_invoice_status') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master_archive] DROP CONSTRAINT [DF_invoice_master_archive_invoice_status]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_archive_line_item_count') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master_archive] DROP CONSTRAINT [DF_invoice_master_archive_line_item_count]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_archive_parent_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master_archive] DROP CONSTRAINT [DF_invoice_master_archive_parent_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_invoice_master_archive_backorder_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[invoice_master_archive] DROP CONSTRAINT [DF_invoice_master_archive_backorder_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_default_location_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_default_location_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_manufacturer_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_manufacturer_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_category_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_category_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_supplier_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_supplier_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_qty_available') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_qty_available]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_qty_checked_out') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_qty_checked_out]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_qty_in_house') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_qty_in_house]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_track_serial_numbers') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_track_serial_numbers]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_track_lots') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_track_lots]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_allow_fraction_qty') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_allow_fraction_qty]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_auto_sn') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_auto_sn]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_auto_sn_value') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_auto_sn_value]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_inventoried') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT [DF_item_inventoried]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_date_received') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_date_received]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_quantity_received') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_quantity_received]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_receipt_cost') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [DF_item_receipt_cost]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_item_supplier_default_supplier') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[item_supplier] DROP CONSTRAINT [DF_item_supplier_default_supplier]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_notes_note_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[notes] DROP CONSTRAINT [DF_notes_note_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_notes_note_user_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[notes] DROP CONSTRAINT [DF_notes_note_user_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_pick_order_is_canceled') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[pick_order] DROP CONSTRAINT [DF_pick_order_is_canceled]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_pick_order_print_no') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[pick_order] DROP CONSTRAINT [DF_pick_order_print_no]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_pick_order_detail_item_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT [DF_pick_order_detail_item_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_pick_order_detail_request_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT [DF_pick_order_detail_request_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_pick_order_detail_picked_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT [DF_pick_order_detail_picked_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_detail_line_item_type') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [DF_po_detail_line_item_type]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_detail_uom_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [DF_po_detail_uom_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_detail_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [DF_po_detail_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_detail_picked_quantity') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [DF_po_detail_picked_quantity]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_detail_quantity_original') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [DF_po_detail_quantity_original]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_master_po_type') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT [DF_po_master_po_type]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_master_po_status') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT [DF_po_master_po_status]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_po_master_record_status_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT [DF_po_master_record_status_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_reasons_adjustment_calculation_method') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[reasons_adjustment] DROP CONSTRAINT [DF_reasons_adjustment_calculation_method]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_recent_values_recent_date') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[recent_values] DROP CONSTRAINT [DF_recent_values_recent_date]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_ship_methods_company_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[ship_methods] DROP CONSTRAINT [DF_ship_methods_company_id]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_ship_methods_record_status') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[ship_methods] DROP CONSTRAINT [DF_ship_methods_record_status]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_unit_of_measure_quantity_eaches') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[unit_of_measure] DROP CONSTRAINT [DF_unit_of_measure_quantity_eaches]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_unit_of_measure_preferred_uom') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[unit_of_measure] DROP CONSTRAINT [DF_unit_of_measure_preferred_uom]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_unit_of_measure_record_status') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[unit_of_measure] DROP CONSTRAINT [DF_unit_of_measure_record_status]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_unit_of_measure_company_id') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[unit_of_measure] DROP CONSTRAINT [DF_unit_of_measure_company_id]
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'DF_users_changed_password') and OBJECTPROPERTY(id, N'IsDefaultCnst') = 1)
ALTER TABLE [dbo].[users] DROP CONSTRAINT [DF_users_changed_password]
GO


IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'IX_USER_LOGON') AND (OBJECTPROPERTY(id, N'IsConstraint') = 1)) 
ALTER TABLE [dbo].[users] DROP CONSTRAINT [IX_USER_LOGON]
GO




print '----------------------------'
print '--                          '
print '--  DROP FOREIGN KEYS SECTION '
print '--                          '
print '----------------------------'

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_item_category]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT FK_item_category
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_inventory_transations_customer]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT FK_inventory_transations_customer
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_form_field_meta_form]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT FK_form_field_meta_form
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_inventory_transations_inventory]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT FK_inventory_transations_inventory
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_inventory_item]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT FK_inventory_item
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_pick_order_detail_item]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT FK_pick_order_detail_item
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_po_detail_item]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT FK_po_detail_item
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_inventory_location]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT FK_inventory_location
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_item_manufacturer]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT FK_item_manufacturer
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_po_master_pay_methods]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT FK_po_master_pay_methods
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_pick_order_detail_pick_order]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT FK_pick_order_detail_pick_order
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_po_detail_po_master]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT FK_po_detail_po_master
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_employee_privileges_security_privileges]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[user_privileges] DROP CONSTRAINT FK_employee_privileges_security_privileges
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_pick_order_ship_methods]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[pick_order] DROP CONSTRAINT FK_pick_order_ship_methods
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_po_master_ship_methods]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT FK_po_master_ship_methods
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_location_sites]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[location] DROP CONSTRAINT FK_location_sites
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_item_supplier]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[item] DROP CONSTRAINT FK_item_supplier
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_lookup_transfer_map]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[lookup] DROP CONSTRAINT FK_lookup_transfer_map
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_transfer_field_mapping_transfer_map]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[transfer_field_mapping] DROP CONSTRAINT FK_transfer_field_mapping_transfer_map
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_po_detail_unit_of_measure]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT FK_po_detail_unit_of_measure
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_inventory_transations_employee]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT FK_inventory_transations_employee
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_employee_privileges_employee]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[user_privileges] DROP CONSTRAINT FK_employee_privileges_employee
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects  WHERE id = OBJECT_ID(N'[dbo].[FK_user_site_sites]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[user_site] DROP CONSTRAINT [FK_user_site_sites]

IF  EXISTS (SELECT * FROM dbo.sysobjects  WHERE id = OBJECT_ID(N'[dbo].[FK_user_site_users]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[user_site] DROP CONSTRAINT [FK_user_site_users]


print '----------------------------'
print '--                          '
print '-- DROP PRIMARY KEY SECTION '
print '--                          '
print '----------------------------'

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[audit_transactions]') AND name = N'PK_audit_transactions')
ALTER TABLE [dbo].[audit_transactions] DROP CONSTRAINT [PK_audit_transactions]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[auto_numbers]') AND name = N'PK_auto_numbers')
ALTER TABLE [dbo].[auto_numbers] DROP CONSTRAINT [PK_auto_numbers]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[category]') AND name = N'PK_category')
ALTER TABLE [dbo].[category] DROP CONSTRAINT [PK_category]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[company_info]') AND name = N'PK_companyinfo')
ALTER TABLE [dbo].[company_info] DROP CONSTRAINT [PK_companyinfo]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[customer]') AND name = N'PK_customer')
ALTER TABLE [dbo].[customer] DROP CONSTRAINT [PK_customer]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[find_meta]') AND name = N'PK_find_meta')
ALTER TABLE [dbo].[find_meta] DROP CONSTRAINT [PK_find_meta]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[form]') AND name = N'PK_form')
ALTER TABLE [dbo].[form] DROP CONSTRAINT [PK_form]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[form_field_meta]') AND name = N'PK_form_field_meta')
ALTER TABLE [dbo].[form_field_meta] DROP CONSTRAINT [PK_form_field_meta]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[image]') AND name = N'PK_image')
ALTER TABLE [dbo].[image] DROP CONSTRAINT [PK_image]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[import_export_errors]') AND name = N'PK_import_export_errors')
ALTER TABLE [dbo].[import_export_errors] DROP CONSTRAINT [PK_import_export_errors]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[inv_audit]') AND name = N'PK_inv_audit')
ALTER TABLE [dbo].[inv_audit] DROP CONSTRAINT [PK_inv_audit]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[inventory]') AND name = N'PK_inventory')
ALTER TABLE [dbo].[inventory] DROP CONSTRAINT [PK_inventory]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[inventory_request_detail]') AND name = N'PK_inventory_request_detail')
ALTER TABLE [dbo].[inventory_request_detail] DROP CONSTRAINT [PK_inventory_request_detail]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[inventory_request_manual_line]') AND name = N'PK_inventory_request_manual_line')
ALTER TABLE [dbo].[inventory_request_manual_line] DROP CONSTRAINT [PK_inventory_request_manual_line]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[inventory_transactions]') AND name = N'PK_inventory_transations')
ALTER TABLE [dbo].[inventory_transactions] DROP CONSTRAINT [PK_inventory_transations]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[invoice_line_items]') AND name = N'PK_invoice_line_items')
ALTER TABLE [dbo].[invoice_line_items] DROP CONSTRAINT [PK_invoice_line_items]


IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[invoice_line_items_archive]') AND name = N'PK_invoice_line_items_archive')
ALTER TABLE [dbo].[invoice_line_items_archive] DROP CONSTRAINT [PK_invoice_line_items_archive]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[invoice_master]') AND name = N'PK_invoice_master')
ALTER TABLE [dbo].[invoice_master] DROP CONSTRAINT [PK_invoice_master]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[invoice_master_archive]') AND name = N'PK_invoice_master_archive')
ALTER TABLE [dbo].[invoice_master_archive] DROP CONSTRAINT [PK_invoice_master_archive]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[item]') AND name = N'PK_item')
ALTER TABLE [dbo].[item] DROP CONSTRAINT [PK_item]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[item_receipt]') AND name = N'PK_item_receipt')
ALTER TABLE [dbo].[item_receipt] DROP CONSTRAINT [PK_item_receipt]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[item_supplier]') AND name = N'PK_item_supplier')
ALTER TABLE [dbo].[item_supplier] DROP CONSTRAINT [PK_item_supplier]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[location]') AND name = N'PK_location')
ALTER TABLE [dbo].[location] DROP CONSTRAINT [PK_location]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[manufacturer]') AND name = N'PK_manufacturer')
ALTER TABLE [dbo].[manufacturer] DROP CONSTRAINT [PK_manufacturer]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[number_template]') AND name = N'PK_number_template')
ALTER TABLE [dbo].[number_template] DROP CONSTRAINT [PK_number_template]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[pay_methods]') AND name = N'PK_pay_methods')
ALTER TABLE [dbo].[pay_methods] DROP CONSTRAINT [PK_pay_methods]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[pick_order]') AND name = N'PK_pick_order')
ALTER TABLE [dbo].[pick_order] DROP CONSTRAINT [PK_pick_order]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[pick_order_detail]') AND name = N'PK_pick_order_detail')
ALTER TABLE [dbo].[pick_order_detail] DROP CONSTRAINT [PK_pick_order_detail]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[po_detail]') AND name = N'PK_po_detail')
ALTER TABLE [dbo].[po_detail] DROP CONSTRAINT [PK_po_detail]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[po_invoice_status]') AND name = N'PK_po_invoice_status')
ALTER TABLE [dbo].[po_invoice_status] DROP CONSTRAINT [PK_po_invoice_status]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[po_master]') AND name = N'PK_po_master')
ALTER TABLE [dbo].[po_master] DROP CONSTRAINT [PK_po_master]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[reasons_adjustment]') AND name = N'PK_reasons_adjustment')
ALTER TABLE [dbo].[reasons_adjustment] DROP CONSTRAINT [PK_reasons_adjustment]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[recent_values]') AND name = N'PK_recent_values')
ALTER TABLE [dbo].[recent_values] DROP CONSTRAINT [PK_recent_values]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[security_privileges]') AND name = N'PK_security_privileges')
ALTER TABLE [dbo].[security_privileges] DROP CONSTRAINT [PK_security_privileges]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[ship_methods]') AND name = N'PK_ship_methods')
ALTER TABLE [dbo].[ship_methods] DROP CONSTRAINT [PK_ship_methods]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[sites]') AND name = N'PK_sites')
ALTER TABLE [dbo].[sites] DROP CONSTRAINT [PK_sites]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[supplier]') AND name = N'PK_supplier')
ALTER TABLE [dbo].[supplier] DROP CONSTRAINT [PK_supplier]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[transfer_field_mapping]') AND name = N'PK_transfer_field_mapping')
ALTER TABLE [dbo].[transfer_field_mapping] DROP CONSTRAINT [PK_transfer_field_mapping]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[transfer_map]') AND name = N'PK_transfer_map')
ALTER TABLE [dbo].[transfer_map] DROP CONSTRAINT [PK_transfer_map]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[unit_of_measure]') AND name = N'PK_unit_of_measure')
ALTER TABLE [dbo].[unit_of_measure] DROP CONSTRAINT [PK_unit_of_measure]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[user_privileges]') AND name = N'PK_employee_privileges')
ALTER TABLE [dbo].[user_privileges] DROP CONSTRAINT [PK_employee_privileges]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[users]') AND name = N'PK_USER_UD')
ALTER TABLE [dbo].[users] DROP CONSTRAINT [PK_USER_UD]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[users_mobile]') AND name = N'PK_users_mobile')
ALTER TABLE [dbo].[users_mobile] DROP CONSTRAINT [PK_users_mobile]


IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[pick_order_detail_history]') AND name = N'PK_pick_order_detail_history')
ALTER TABLE [dbo].[pick_order_detail_history] DROP CONSTRAINT [PK_pick_order_detail_history]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[pick_order_history]') AND name = N'PK_pick_order_history')
ALTER TABLE [dbo].[pick_order_history] DROP CONSTRAINT [PK_pick_order_history]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[po_detail_history]') AND name = N'PK_po_detail_history')
ALTER TABLE [dbo].[po_detail_history] DROP CONSTRAINT [PK_po_detail_history]

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[po_master_history]') AND name = N'PK_po_master_history')
ALTER TABLE [dbo].[po_master_history] DROP CONSTRAINT [PK_po_master_history]



